求助,PHP版本切换后出现问题。

用户 killerser 2月前 484

           事情是这样,空间原本运行环境是这样的:


       由于需要使用相册插件,开发者要求PHP最低7.0以上版本。于是我让空间商版本切换PHP版本。切换版本后,空间中多了个web.config配置文件。这个文件存在时,就是PHP7,删除后就是PHP5.2.17。什么原理我也不明白。切换版本后,前台运行正常。后台无法登陆,一片空白,源码显示数字1。

       下图为PHP7环境

这个状态下,后台无法登陆,我测试了下在线安装程序

删除web.config配置文件,PHP变回5.2.17,一切又都正常。好吧,通过修改web.config配置文件达到修改PHP版本的目的

ZBLOG PHP在线安装程序显示可以连网了。但是下载不了,也可能解压不了??

好吧,不管它到底是下载不了还是解压不了了。我应该如何解决??是空间商PHP问题吗?还是组件不齐?由于没有办法在PHP7状态下运行安装文件,无法使用PHP自带探针查看缺少什么组件。

斌、朵♫恋

最新回复 (1)
全部楼主
  • 管理员 zx.asd 2月前 0
    引用 1
    看着好累,换个空间吧。

    短信已禁用,有事发贴。

    • ZBlogger技术交流中心
      3
          
返回